Subject: Re: bug#1158: 23.0.60; vc mode not working under newest Emacs.app

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Oct 2008 11:24:59 -0400

> 3. Running diagnosis evaluation as you instructed:
> M-: (executable-find "svn") says:
> "/usr/bin/svn"

> Which is NOT the correct path of my svn. In my working MacBook Pro, the SVN
> from Leopard installation is in /usr/bin, but the working SVN installation
> is in /opt/local/bin/ (from MacPorts). Here is some information about my
> SVNs:

That's not Emacs's fault: it's because /opt/local/bin is not in
your PATH.  Most likely, you added /opt/local/bin to your PATH in your
~/.bashrc or somesuch, but this only affects things you do inside
a terminal since Mac OS X doesn't load this file when you login.
IIRC there's a ~/.macosx/environment.plist file you can use to set
envvars globally independently from any shell.

        Stefan